DC_SERIAL_DEVICE_GET_NAME(3)

NAME
dc_serial_device_get_name - Get the device name of the serial device.

LIBRARY
libdivecomputer

SYNOPSIS
#include <libdivecomputer/serial.h>
const char *
dc_serial_device_get_name(dc_serial_device_t *device);

DESCRIPTION
Get the device node of the serial device. Used when opening serial transport with dc_serial_open(3). Requires a valid serial device of type dc_serial_device_t which can be retrieved using dc_serial_iterator_new(3).

RETURN VALUES
Returns the device name of given serial device

SEE ALSO
dc_serial_open(3), dc_serial_iterator_new(3).

AUTHORS
The libdivecomputer library was written by Jef Driesen, jef@libdivecomputer.org.
This manpage is written by Vincent Hagen, vinnie@script4web.nl.